[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

More power patches



On Wed, 7 Jan 2004, M. Warner Losh wrote:

> : > *) hw.pci.allow_unsupported_io_range="1" is not needed anymore
> : > *) ACPI battery info is broken now (see end of dmesg)
> :
> : Uhm, there seems to be something else bogus, I tried to build kernel
> : again, and now ACPI loading fails completely:
> :
> : Preloaded elf module "/boot/kernel/acpi.ko" at 0xc087d300.
> : link_elf: symbol AcpiDmDumpMethodInfo undefined
> : KLD file acpi.ko - could not finalize loading
>
> Hmmm, I think this is a ACPI_DEBUG related thing of some kind.  ACPI
> failing completely is a good reason for the battery to be broken. :-)

OK, I think this was a bogus ACPI_DEBUG leftover.

I've now compiled everything from scratch with and without the patch,
acpi.ko loads fine now, but battery info is broken (even without the
patch).

It worked fine with a kernel from Jan 2, and I don't know if something
has changed in the main tree.

Anyway, the patch seems to resolve the cbb issue, no
hw.pci.allow_unsupported_io_range="1" needed anymore!

regards,
le

-- 
Lukas Ertl                             eMail: l_(_dot_)_ertl_(_at_)_univie_(_dot_)_ac_(_dot_)_at
UNIX Systemadministrator               Tel.:  (+43 1) 4277-14073
Vienna University Computer Center      Fax.:  (+43 1) 4277-9140
University of Vienna                   http://mailbox.univie.ac.at/~le/

Visit your host, monkey.org